Gentoo Archives: gentoo-user

From: Adam Carter <adamcarter3@×××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] gcc 7.3 + kernel 4.15 = spectre_v2 fixed
Date: Mon, 29 Jan 2018 09:12:03
Message-Id: CAC=wYCHQREwhRwEm622q289xS4g4Gn2=Nkn=O_q_w-wdCEZTjQ@mail.gmail.com
Comparing the contents of /sys/devices/system/cpu/vulnerabilities/spectre_v2

With gcc 7.2 + kernel 4.14.15;
Intel system shows; Vulnerable: Minimal generic ASM retpoline
AMD system shows: Vulnerable: Minimal AMD ASM retpoline

With gcc 7.3 + kernel 4.15.0;
Intel system shows; Mitigation: Full generic retpoline
AMD system shows' Mitigation: Full AMD retpoline

Replies

Subject Author
[gentoo-user] Re: gcc 7.3 + kernel 4.15 = spectre_v2 fixed Ian Zimmerman <itz@××××××××××××.org>
Re: [gentoo-user] gcc 7.3 + kernel 4.15 = spectre_v2 fixed Henry Kohli <henry-h@×××××××××××.net>